'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var getConfig = require('./getConfig.js');
var resolveLocaleArg = require('./resolveLocaleArg.js');

async function getTimeZoneCachedImpl(locale) {
  const config = await getConfig.default(locale);
  return config.timeZone;
}
const getTimeZoneCached = React.cache(getTimeZoneCachedImpl);
async function getTimeZone(opts) {
  const locale = await resolveLocaleArg.default(opts);
  return getTimeZoneCached(locale);
}

exports.default = getTimeZone;
